using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.OleDb;

public partial class news : System.Web.UI.Page
{
  protected void Page_Load(object sender, EventArgs e)
  {
    string acon = System.Configuration.ConfigurationManager.AppSettings["strcon"].ToString();
    OleDbConnection oconn = new OleDbConnection(acon);
    OleDbDataAdapter oda = new OleDbDataAdapter("select * from news", oconn);
    DataSet ds = new DataSet();
    oda.Fill(ds);
    gdvnews.DataSource = ds;
    gdvnews.DataBind();
  }
  protected void gdvnews_RowDataBound(object sender, GridViewRowEventArgs e)
  {
    if (e.Row.RowType == DataControlRowType.DataRow)
    {
      HyperLink hpnews = (HyperLink)e.Row.FindControl("HyperLink1");
      if (hpnews.Text.Length >= 15)
      {
        hpnews.Text = hpnews.Text.Substring(0, 13) + "...";
      }
    }
  }
  protected void gdvnews_PageIndexChanging(object sender, GridViewPageEventArgs e)
  {
    gdvnews.PageIndex = e.NewPageIndex;
    gdvnews.DataBind();
  }
}
